|       PONTIFICIA UNIVERSIDAD CATÓLICA MADRE Y MAESTRA        |
| :----------------------------------------------------------: |
| ![PUCMM](https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/EscudoPucmm.gif/240px-EscudoPucmm.gif) |
|          **FACULTAD DE CIENCIAS DE LA INGENIERÍA**           |
|         **ESCUELA DE SISTEMAS Y TELECOMUNICACIONES**         |
|                       ST-ITT-463-T-001                       |
|                          **TAREA:**                          |
|               *Loop start, Ground Start y E&M*               |
|                     **PRESENTADO POR:**                      |
|                *OSCAR JOSUE RODRIGUEZ BLANCO*                |
|                         *2014-0147*                          |
|                      **PRESENTADO A:**                       |
|                    *ING. PABLO RODRIGUEZ*                    |
|                    **FECHA DE ENTREGA:**                     |
|                            *2019*                            |
|     **SANTIAGO DE LOS CABALLEROS, REPÚBLICA DOMINICANA**     |
|                             ---                              |

---

---

# Tabla de Contenidos



[TOC]

# Loop Start

Es un protocolo de supervisión entre un cliente y una PBX o una central. Este sistema tiene un funcionamiento sencillo, pero que presenta sus problemas:

+ La presencia de corriente indica el teléfono levantado
+ la ausencia de corriente significa el teléfono colgado

El hecho de que esta es **toda** la señalización que podemos obtener de este sistema proviene de la simpleza del mismo, razón por la que esta fue una de las primeras, de hecho la primera en esta lista, en ponerse en practica para este motivo de señalización.

![](https://pbxbook.com/images/atrks/fig-6.png)

> Circuito de un sistema de loopstart

Como se puede ver, este es un circuito en extremo simple y que fue de gran ayuda en sus inicios, pero necesitaba por múltiples razones poder evolucionar a algo mas complejo

# Ground Start

Este es un método de señalización desde la terminal hacia la central en la que se hace un envió de tierra durante un momento para poder pedir tono, de hecho durante el siglo pasado en estados unidos se utilizaron sistemas de monedas en los que la moneda misma era la que conducía esta señal de tierra mientras pasaba por los conductos de los teléfonos de pago que se encontraban en muchos lugares.

Lo que sucede en esta clase de llamadas va en este orden:

1. La central ofrece -48 en el *RING* y circuito abierto en el *TIP*.
2. La PBX ~~o la terminal~~ lleva el *RING* a tierra ~~maximo de `550ohms`~~
3. La central mide esto y entonces envía el *TIP* a tierra 
4. La PBX ~~o la terminal~~ detecta esto y quita la tierra de *RING*
5. La central envía tono de llamada :phone: y la llamada continua con normalidad

Si la que comenzara la llamada es la central entonces: 

1. La central envía el *TIP* a tierra y pone timbre
2. La PBX se descuelga y si estaba intentando llamar quita la tierra del *RING*
3. La llamada procede normalmente

Para terminar una llamada la PBX se colgaba o la Central desconectaba el TIP

![](https://pbxbook.com/images/atrks/fig-12.png)

> Aquí se ven los circuitos necesarios para este tipo de señalización.

# E :ear: & M :open_mouth:

> Ear and mouth

Este tipo de señalización es uno de los mas complejos, y esto se debe a que tiene un montón de diferentes configuraciones por la flexibilidad que ofrece, pero antes de complicarnos, podemos ver que básicamente el funcionamiento va como sigue: 

![](https://pbxbook.com/images/atrks/fig-14.png)

> Se muestran los pares de voz y E&M

La gran peculiaridad de estos sistemas es el hecho de que hay unos pares de señalización que son independientes de los pares de voz, esto nos da una increíble flexibilidad y nuevas cosas que poder hacer dentro del signaling que antes no eran posibles.

| Tipo  | M descolgado     | M colgado      | E descolgado     | E colgado      |
| ----- | ---------------- | -------------- | ---------------- | -------------- |
| I     | bateria          | tierra         | tierra           | open           |
| II    | bateria          | abierto        | tierra           | open           |
| III   | loop             | tierra         | tierra           | open           |
| IV    | tierra           | abierto        | tierra           | open           |
| V     | tierra           | abierto        | tierra           | open           |
| SSDC5 | tierra encendida | tierra apagada | tierra encendida | tierra apagada |

## Address signaling

Hay, en dependencia del fabricante, muchas formas de lograr esto mismo, lo que nos deja con esta lista de los mas usados, ya que algunos fabricantes han usado otros métodos:

### Inmediate Start

![](https://images.techhive.com/images/idge/imported/article/nww/2008/11/03fig12-100278262-orig.jpg)

### Wink Start



### ![Delay](https://images.techhive.com/images/idge/imported/article/nww/2008/11/03fig13-100278263-orig.jpg) Delay Start

![](https://images.techhive.com/images/idge/imported/article/nww/2008/11/03fig14-100278264-orig.jpg)