|       PONTIFICIA UNIVERSIDAD CATÓLICA MADRE Y MAESTRA        |
| :----------------------------------------------------------: |
| ![PUCMM](https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/EscudoPucmm.gif/240px-EscudoPucmm.gif) |
|          **FACULTAD DE CIENCIAS DE LA INGENIERÍA**           |
|         **ESCUELA DE SISTEMAS Y TELECOMUNICACIONES**         |
|                       ST-ITT-463-T-001                       |
|                          **TAREA:**                          |
|                        *Resumen SDP*                         |
|                     **PRESENTADO POR:**                      |
|                *OSCAR JOSUE RODRIGUEZ BLANCO*                |
|                         *2014-0147*                          |
|                      **PRESENTADO A:**                       |
|                    *ING. PABLO RODRIGUEZ*                    |
|                    **FECHA DE ENTREGA:**                     |
|                 *LUNES, 13 DE MAYO DEL 2019*                 |
|     **SANTIAGO DE LOS CABALLEROS, REPÚBLICA DOMINICANA**     |
|                             ---                              |

---

---

# Tabla de Contenidos



[TOC]

# Session Description Protocol

La funcion principal de este protocolo es el de brindar informacion suficiente sobre una sesion en especifico, esto se hace con la intencion de lograr lo siguiente:

+ Poder conocer el ancho de banda y formatos de media necesarios para unirse y usar esto para tomar la decision
+ Saber como y donde unirse a una sesion especifica
+ Tener un URI donde conseguir aun mas informacion sobre la sesion de ser esto necesario

Normalmente cuando se envia un `INV` en SIP tambien se envia dentro del cuerpo de este un mensaje de descripcion de tipo SDP, luego de esto el receptor puede ver si el soporta al menos uno de los tipos de media y saber si podria manejar la sesion. entonces el UAS va a responder con sus propias alternativas y la elegida va a depender de la superposicion de estas dos listas ademas de su preferencia y el valor de calidad interno para cada tipo de conexion.

Normalmente SDP no es algo que se vea al nivel de usuario, fuera de quiza algun tipo de advertencia a la hora de no poderse completar una llamada, como por ejemplo al advertir de un comportamiento inusual de un evento.

El cuerpo de este se compone de la siguiente manera:

```
v= (protocol version)
o= (originator and session identifier)
s= (session name)
i=* (session information)
u=* (URI of description)
e=* (email address)
p=* (phone number)
c=* (connection information – not required if included in allmedia)
b=* (zero or more bandwidth information lines)
```

Normalmente el parseador solo ignora todo lo que no logre entender, por lo que hay que tener cuidado al hacer el formato de estos mensajes, esto podria afectar de manera grave la forma en que se entienda el mensaje.

Hay muchas cosas que fueron definidas de forma fija y en las que se busca de forma explicita que no existan nuevos tipos de datos, como por ejemplo los tipos de media, que se fijaron a:

+ audio
+ video
+ text
+ application
+ message

Estos cambios y otros mas han propiciado el uso de otros descriotores en tecnologias mas nuevas, como el famoso tipo de notacion de objetos de JSON o YAML, pero esto es otro asunto para otros protocolos, no para sip.

Aqui se muestra una tabla de los errores mas comunes que hay en SIP que se transportan en este protocolo:

| Codigo | Mensaje Mostrado                             | Significado                                                  |
| ------ | -------------------------------------------- | ------------------------------------------------------------ |
| 300    | Incompatible Network Protocol                | Hay uno o mas de los portocolos en la descripcion que no estan disponibles |
| 301    | Incompatible Network Adress Format           | Ona o varias direcciones de la descripcion no estan disponibles |
| 302    | incompatible Transport Protocol              | Protocolos de transporte no disponibles                      |
| 303    | Incompatible Bandwith Unit                   | No se entendieron las descripciones de ancho de banda        |
| 304    | Media Type Not Available                     | No estan disponibles una o mas de las diferentes multimedias |
| 305    | incompatible Media Format                    | Formato de multimedia no disponible                          |
| 306    | Attribute Not Understood                     | No se ha entendido un atributo                               |
| 307    | Session Description Parameter Not Understood | El parametro de un atributo que se entendio no se pudo entender |
| 330    | Multicast Not Availabloe                     | No esta disponible el multicast en este sitio                |
| 331    | Unicast Not Available                        | Debido a firewal                                             |
| 370    | Insufficient Bandwidth                       |                                                              |
| 399    | Miscellaneous Warning                        |                                                              |

